# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Accessor/Complex.pm) perl(Class/Accessor/Constructor.pm) perl(Class/Factory/Enhanced.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(DateTime.pm) perl(DateTime/Format/DateParse.pm) perl(DateTime/Format/Mail.pm) perl(DateTime/Format/W3CDTF.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(Getopt/Attribute.pm) perl(Kwalify.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Perl/Version.pm) perl(Socket.pm) perl(Test/Builder.pm) perl(Test/Builder/Module.pm) perl(Text/Diff.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Module-Changes
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Machine-readable Changes file
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MA/MARCEL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
If you are looking for an overview of what `Module-Changes' is about, see the
documentation of the `changes' program.

This class is the heart of the Module-Changes distribution. It is a factory
that can make relevant objects.

You can subclass this module to change its mappings. For example, if you write
a new YAML parser, you can set it as the object constructed for the
`formatter_yaml' factory type. See the Class::Factory::Enhanced manpage for more
information.

This is the place to document a few assumptions that the Module-Changes manpage makes.

The terms *revision*, *version*, *subversion* and *alpha* are used in the
other modules' documentation. The meanings are taken directly from
the Perl::Version manpage. For example, in the version number `v1.02.03_04', the
revision is `1', the version is `02', the subversion is `03' and the alpha
is `04'.

The layout of the YAML file is best demonstrated by an example:

    global:
      name: Foo-Bar
    releases:
      - v0.03:
          author: Marcel Gruenauer <marcel@cpan.org>
          date: 2008-02-15T14:23:12-05:00
          changes:
            - Complete rewrite
          tags:
            - APICHANGE
      - v0.02:
          author: Marcel Gruenauer <marcel@cpan.org>
          date: 2008-02-15T13:50:05-05:00
          changes:
            - Added this
            - Changed that
          tags:
            - MINOR
            - SECURITY
      - v0.01:
          author: Marcel Gruenauer <marcel@cpan.org>
          date: 2008-01-29T09:46:20-05:00
          changes:
            - Initial release

The file starts with a declaration of global attributes. At the moment there
is only one such attribute - the distribution name.

This is followed by any number of releases. Each release is a hash that has
the version number (in the Perl::Version manpage notation) as the key and the release
details as the value.

The releases are within an array so that the order is preserved - within a
hash, the order is not guaranteed.

The release details are another hash, having keys for author and date, an
array of change strings and an array of tag strings. The date is in
the DateTime::Format::W3CDTF manpage format.

This layout has been chosen so as to appear natural, with a sufficient amount
of machine-readable information, without being overburdened by details that no
one would maintain anyway.

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

